curl --request POST \
--url https://api.acedata.cloud/midjourney/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mask": "<string>",
"action": "generate",
"prompt": "A cat sitting on a table",
"image_url": "<string>",
"callback_url": "<string>",
"async": true,
"split_images": false
}
'import requests
url = "https://api.acedata.cloud/midjourney/edits"
payload = {
"mask": "<string>",
"action": "generate",
"prompt": "A cat sitting on a table",
"image_url": "<string>",
"callback_url": "<string>",
"async": True,
"split_images": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mask: '<string>',
action: 'generate',
prompt: 'A cat sitting on a table',
image_url: '<string>',
callback_url: '<string>',
async: true,
split_images: false
})
};
fetch('https://api.acedata.cloud/midjourney/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"actions": [
"upscale1",
"upscale2",
"upscale3",
"upscale4",
"reroll",
"variation1",
"variation2",
"variation3",
"variation4"
],
"success": true,
"task_id": "27a1128f-14b5-440e-a82d-510c81e6fcd4",
"image_id": "1211290228438868029",
"progress": 100,
"image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&width=1024&height=1024",
"image_width": 1024,
"image_height": 1024,
"raw_image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&",
"raw_image_width": 2048,
"raw_image_height": 2048
}{
"error": {
"code": "bad_request",
"message": "The json payload is not valid to request the API"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Midjourney Edits
curl --request POST \
--url https://api.acedata.cloud/midjourney/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mask": "<string>",
"action": "generate",
"prompt": "A cat sitting on a table",
"image_url": "<string>",
"callback_url": "<string>",
"async": true,
"split_images": false
}
'import requests
url = "https://api.acedata.cloud/midjourney/edits"
payload = {
"mask": "<string>",
"action": "generate",
"prompt": "A cat sitting on a table",
"image_url": "<string>",
"callback_url": "<string>",
"async": True,
"split_images": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mask: '<string>',
action: 'generate',
prompt: 'A cat sitting on a table',
image_url: '<string>',
callback_url: '<string>',
async: true,
split_images: false
})
};
fetch('https://api.acedata.cloud/midjourney/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"actions": [
"upscale1",
"upscale2",
"upscale3",
"upscale4",
"reroll",
"variation1",
"variation2",
"variation3",
"variation4"
],
"success": true,
"task_id": "27a1128f-14b5-440e-a82d-510c81e6fcd4",
"image_id": "1211290228438868029",
"progress": 100,
"image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&width=1024&height=1024",
"image_width": 1024,
"image_height": 1024,
"raw_image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&",
"raw_image_width": 2048,
"raw_image_height": 2048
}{
"error": {
"code": "bad_request",
"message": "The json payload is not valid to request the API"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisierungen
API token from https://platform.acedata.cloud
Header
Midjourney Edits Param Accept
application/json, application/x-ndjson Body
Midjourney Edits Mask
Midjourney Edits Mode
fast, relax, turbo Midjourney Edits Action
Midjourney Edits Prompt
"A cat sitting on a table"
Midjourney Edits Image Url
Midjourney Edits Callback Url
Midjourney Edits Async
Midjourney Edits Split Images
Antwort
Midjourney Edits Response 200
Midjourney Edits Response 200 Actions
Midjourney Edits Response 200 Success
Midjourney Edits Response 200 Task Id
Midjourney Edits Response 200 Image Id
Midjourney Edits Response 200 Progress
Midjourney Edits Response 200 Image Url
Midjourney Edits Response 200 Image Width
Midjourney Edits Response 200 Image Height
Midjourney Edits Response 200 Raw Image Url
Midjourney Edits Response 200 Raw Image Width
Midjourney Edits Response 200 Raw Image Height
War diese Seite hilfreich?

